package javax.net.ssl;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;

public interface X509TrustManager extends TrustManager
{
    public abstract void checkClientTrusted(X509Certificate[] p0, String p1) throws CertificateException;
    
    public abstract void checkServerTrusted(X509Certificate[] p0, String p1) throws CertificateException;
    
    public abstract X509Certificate[] getAcceptedIssuers();
}
